package com.ssj.service.conch.schoolmaster.dto;


import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author yangcan
 * 类描述: 学生资料
 * 创建时间:2018年6月7日 下午5:35:26

 */
public class StudentInfoDto implements Serializable{

	private static final long serialVersionUID = 1L;

	private String studentId; //学生vipId
	private String studentName;//学生姓名
	private String studentImg; //家长头像
	private String studentNumber; //学号
	private int sex; //性别 1男 2女
	private String grade; //年级
	private String schoolName;//学校名称
	private String useShellTime;//使用小塾时间
	private String phone;//绑定手机
	private String patriarchName; //家长姓名
	private List<String> subjectNameList; //科目
	private String homeAddress; //家庭地址
	private String studyPlanName; //学习计划
	private String qrcodeUrl; //二维码url地址

	public StudentInfoDto (){
		this.subjectNameList =  new ArrayList<String>();
	}
	
	public String getStudentId() {
		return studentId;
	}
	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}
	public String getStudentName() {
		return studentName;
	}
	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}
	public String getStudentImg() {
		return studentImg;
	}
	public void setStudentImg(String studentImg) {
		this.studentImg = studentImg;
	}
	public String getStudentNumber() {
		return studentNumber;
	}
	public void setStudentNumber(String studentNumber) {
		this.studentNumber = studentNumber;
	}
	public int getSex() {
		return sex;
	}
	public void setSex(int sex) {
		this.sex = sex;
	}
	public String getGrade() {
		return grade;
	}
	public void setGrade(String grade) {
		this.grade = grade;
	}
	public String getSchoolName() {
		return schoolName;
	}
	public void setSchoolName(String schoolName) {
		this.schoolName = schoolName;
	}
	public String getUseShellTime() {
		return useShellTime;
	}
	public void setUseShellTime(String useShellTime) {
		this.useShellTime = useShellTime;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getPatriarchName() {
		return patriarchName;
	}
	public void setPatriarchName(String patriarchName) {
		this.patriarchName = patriarchName;
	}

	public List<String> getSubjectNameList() {
		return subjectNameList;
	}

	public void setSubjectNameList(List<String> subjectNameList) {
		this.subjectNameList = subjectNameList;
	}

	public void addSubject (String subject)	{
		if (com.ssj.framework.core.util.StringUtil.isNotEmpty(subject)){
			this.subjectNameList.add(subject);
		}
	}

	public String getHomeAddress() {
		return homeAddress;
	}
	public void setHomeAddress(String homeAddress) {
		this.homeAddress = homeAddress;
	}
	public String getStudyPlanName() {
		return studyPlanName;
	}
	public void setStudyPlanName(String studyPlanName) {
		this.studyPlanName = studyPlanName;
	}
	public String getQrcodeUrl() {
		return qrcodeUrl;
	}
	public void setQrcodeUrl(String qrcodeUrl) {
		this.qrcodeUrl = qrcodeUrl;
	}
}
